'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _lodash = require('lodash');

var _version = require('../version');

var _version2 = _interopRequireDefault(_version);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var printConfigPair = function printConfigPair(config, key) {
  return print.info(key + ' = ' + (0, _lodash.get)(config, key));
};

var printConfigObject = function printConfigObject(config) {
  return Object.keys(config).forEach(function (k) {
    return printConfigPair(config, k);
  });
};

var print = {
  config: function config(_config, key) {
    return (0, _lodash.isNil)(key) ? printConfigObject(_config) : printConfigPair(_config, key);
  },
  info: function info() {
    var _console;

    return (_console = console).log.apply(_console, arguments);
  },
  warn: function warn() {
    var _console2;

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return (_console2 = console).log.apply(_console2, _toConsumableArray(args.map(function (a) {
      return _chalk2.default.bold.yellow(a);
    })));
  },
  error: function error(type, message) {
    return console.error(_chalk2.default.red('ERROR: ' + (type || '') + ' - ' + (message || '')));
  }
};

exports.default = print;