'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.edit = exports.get = exports.create = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _github = require('./github');

var _github2 = _interopRequireDefault(_github);

var _config = require('../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var create = exports.create = function create() {
  var option = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  (0, _github.authenticate)();

  return _github2.default.gists.create(_extends({
    description: 'Gist for icbm',
    public: false
  }, option)).then(function (res) {
    return (0, _config.setConfig)('repository.gist', res.data.id);
  });
};

var get = exports.get = function get(id) {
  id = id || (0, _config.getConfig)('repository.gist');

  if (!id || !id.length) return Promise.reject('EMPTY');

  return _github2.default.gists.get({ id: id });
};

var edit = exports.edit = function edit(files) {
  (0, _github.authenticate)();

  return _github2.default.gists.edit({
    id: (0, _config.getConfig)('repository.gist'),
    files: files
  });
};