'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.response = undefined;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _mkdirp = require('mkdirp');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _fsExtra = require('fs-extra');

var _lodash = require('lodash');

var _getEnvVar = require('get-env-var');

var _getEnvVar2 = _interopRequireDefault(_getEnvVar);

var _paths = require('../paths');

var _config = require('../config');

var config = _interopRequireWildcard(_config);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var alreadyRemoved = 'alreadyRemoved';
var success = 'success';
var fail = 'fail';

var response = exports.response = {
  alreadyRemoved: alreadyRemoved,
  success: success,
  fail: fail
};

exports.default = function (file) {
  (0, _mkdirp.sync)(_paths.appDir);

  var srcPath = null;
  var homePath = (0, _getEnvVar2.default)('HOME', '');

  var configKey = 'path.' + file;
  var filePath = config.getConfig(configKey);

  if (!filePath) return alreadyRemoved;

  (0, _fsExtra.removeSync)(filePath);
  (0, _fsExtra.copySync)(_path2.default.join(_paths.appDir, file), filePath);
  (0, _fsExtra.removeSync)(_path2.default.join(_paths.appDir, file));

  config.removeConfig(configKey);

  return success;
};